Skip to main content
PUT
/
v1
/
materials
/
{material-id}
/
deactivate
Deactivate a Material
curl --request PUT \
  --url https://api.tread-horizon.com/v1/materials/{material-id}/deactivate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "system": true,
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "material_type": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "system": true
    },
    "state": "active",
    "external_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

material-id
string
required

Material ID

Body

application/json

The body is of type object.

Response

OK

data
Material-Read · object
required